commit:     b20a4dd388a32a2677f6eac2ce2b6f2fa974a48c
Author:     Michael Vetter <jubalh <AT> iodoru <DOT> org>
AuthorDate: Sun Dec  3 20:35:18 2023 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon Dec  4 00:51:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b20a4dd3

app-backup/snapper: add 0.10.7

Closes: https://github.com/gentoo/gentoo/pull/34109
Signed-off-by: Michael Vetter <jubalh <AT> iodoru.org>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 app-backup/snapper/Manifest              |  1 +
 app-backup/snapper/snapper-0.10.7.ebuild | 90 ++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/app-backup/snapper/Manifest b/app-backup/snapper/Manifest
index e4847c806d5a..c0712373e9a5 100644
--- a/app-backup/snapper/Manifest
+++ b/app-backup/snapper/Manifest
@@ -1,3 +1,4 @@
 DIST snapper-0.10.3.tar.gz 409277 BLAKE2B 
bc4963081a24572015ff888b5cb85f3afa071e487a89e89f1a72d5b96391be69ad982c79ddfd71f020203d0c50ca07d67cbeb535cd6e57bc3d6ee269ef5c788e
 SHA512 
74cb04d045304021564a0452769fdcde1764595a52e30947396c37fe4c36b3fba08d10505734bc0bd631986e933ee2bfaf67c871cba93a96e498fbfe5e2c6985
 DIST snapper-0.10.5.tar.gz 422114 BLAKE2B 
35c4772fc84920755d5fe87cad4a73792692ab7a55bcbcae65f20bf2e0cbcfb79429a423a5b55a89dbfeba1ff0474741c884bc632daa997fbb86cec52b68e3ef
 SHA512 
e710069374b805394d691f8060d2852e35960a965fd49bb59768ebcc53a615af1f36269adac2d916b5e3f1b3e42fb2a53049d8f1b8a6a8430e992fa0de49c235
 DIST snapper-0.10.6.tar.gz 423867 BLAKE2B 
a7d0f8c62c60c0d03bf108a8c0692dd209f170cf8227512cbc3b80eb9f58ecca845aa585859032bc6582d67e4c6ff15b75443a9ee9291d1b970efec15513571f
 SHA512 
6eedfb9408260331f042f0a429a1104136cb88dac450f320641b0941cd06faf52f67cad2397cf4122f919876bb994455da0cfd3bb099f82217050e07b4c77d2e
+DIST snapper-0.10.7.tar.gz 428482 BLAKE2B 
43c48d978296901f6584cef258ec3723de97b1d6b4b4a5b6bc39649f28b3300919616c65b8fcdb97b3ebcab08d04e4583713eef146721367de24513e80113b45
 SHA512 
bf098c941735b60554ff0711fa43b30ef3634e01178f5ee8ad44c65b757c3366bd5bf568cef3a787b2ddcc2fc63090056109250480e6bd360ebf27a8343373b8

diff --git a/app-backup/snapper/snapper-0.10.7.ebuild 
b/app-backup/snapper/snapper-0.10.7.ebuild
new file mode 100644
index 000000000000..9d04eeeb2e14
--- /dev/null
+++ b/app-backup/snapper/snapper-0.10.7.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools systemd
+
+DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
+HOMEPAGE="http://snapper.io/";
+SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="lvm pam test systemd xattr"
+RESTRICT="test"
+
+BDEPEND="app-text/docbook-xsl-stylesheets
+       dev-libs/libxslt
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+RDEPEND="dev-libs/boost:=
+       dev-libs/json-c:=
+       dev-libs/libxml2
+       dev-libs/icu:=
+       sys-apps/acl
+       sys-apps/dbus
+       sys-apps/util-linux
+       >=sys-fs/btrfs-progs-3.17.1
+       sys-libs/zlib
+       virtual/libintl
+       lvm? ( sys-fs/lvm2 )
+       pam? ( sys-libs/pam )
+       xattr? ( sys-apps/attr )"
+
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/cron-confd.patch
+       "${FILESDIR}"/${PN}-0.10.1-testsuite.patch
+)
+
+src_prepare() {
+       default
+
+       sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
+               -i data/Makefile.* \
+               || die "Failed to fix systemd services and timers installation 
path"
+       eautoreconf
+}
+
+src_configure() {
+       # ext4 code does not work anymore
+       # snapper does not build without btrfs
+       local myeconfargs=(
+               --disable-silent-rules
+               --with-conf="/etc/conf.d"
+               --enable-zypp
+               --enable-rollback
+               --enable-btrfs-quota
+               --disable-ext4
+               --enable-btrfs
+               --enable-doc
+               $(use_enable lvm)
+               $(use_enable pam)
+               $(use_enable test tests)
+               $(use_enable systemd)
+               $(use_enable xattr xattrs)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       # Existing configuration file required to function
+       keepdir /etc/snapper/configs
+       newconfd data/sysconfig.snapper snapper
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       elog "In order to use Snapper, you need to set up"
+       elog "at least one config first. To do this, run:"
+       elog "snapper create-config <subvolume>"
+       elog "For more information, see man (8) snapper or"
+       elog "http://snapper.io/documentation.html and"
+       elog "https://wiki.gentoo.org/wiki/Snapper";
+}

Reply via email to